Package org.eclipse.emf.cdo.ui

# Class CDOEditorOpener.Default

java.lang.Object
org.eclipse.emf.cdo.ui.CDOEditorOpener.Default

All Implemented Interfaces:
  `CDOEditorOpener`

Direct Known Subclasses:
  `CDOEditorOpener.Registry.EditorOpenerDescriptor`

Enclosing interface:
  CDOEditorOpener

public abstract static class CDOEditorOpener.Default extends Object implements CDOEditorOpener
An abstract default `CDOEditorOpener` implementation.

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.ui.CDOEditorOpener

`CDOEditorOpener.Default, CDOEditorOpener.Registry`

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.ui.CDOEditorOpener

`DEFAULT_PRIORITY`

## Constructor Summary

Constructors
Constructor
Description
`Default()`
`Default(String id, String name, ImageDescriptor icon, String regex, int priority)`

## Method Summary

Modifier and Type
Method
Description
`protected abstract IEditorPart`
`doOpenEditor(IWorkbenchPage page, URI uri)`
`ImageDescriptor`
`getIcon()`
`String`
`getID()`
`String`
`getName()`
`final int`
`getPriority()`
Returns the priority of this editor opener.
`final String`
`getRegex()`
Returns the regular expression that determines if the editor opener can open a certain URI.
`final boolean`
`matchesRegex(URI uri)`
Checks if the URI matches the regular expression of this editor opener.
`IEditorPart`
`openEditor(IWorkbenchPage page, URI uri)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Default

public Default()

### Default

public Default(String id, String name, ImageDescriptor icon, String regex, int priority)

## Method Details

### getID

public String getID()

Specified by:
  `getID` in interface `CDOEditorOpener`

### getName

public String getName()

Specified by:
  `getName` in interface `CDOEditorOpener`

### getIcon

public ImageDescriptor getIcon()

Specified by:
  `getIcon` in interface `CDOEditorOpener`

### getPriority

public final int getPriority()
Description copied from interface: `CDOEditorOpener`
Returns the priority of this editor opener. Usually used to choose between several editor openers that match the same repository URI.

Specified by:
  `getPriority` in interface `CDOEditorOpener`

### getRegex

public final String getRegex()
Description copied from interface: `CDOEditorOpener`
Returns the regular expression that determines if the editor opener can open a certain URI.

Specified by:
  `getRegex` in interface `CDOEditorOpener`

### matchesRegex

public final boolean matchesRegex(URI uri)
Description copied from interface: `CDOEditorOpener`
Checks if the URI matches the regular expression of this editor opener.

Specified by:
  `matchesRegex` in interface `CDOEditorOpener`

### openEditor

public IEditorPart openEditor(IWorkbenchPage page, URI uri)

Specified by:
  `openEditor` in interface `CDOEditorOpener`

### doOpenEditor

protected abstract IEditorPart doOpenEditor(IWorkbenchPage page, URI uri)

### toString

public String toString()

Overrides:
  `toString` in class `Object`